The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

No Sourceguardian

Discussion in 'General Discussion' started by netnameus, Mar 18, 2005.

  1. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    I'm trying to install Fantastico, and the instructions state to
    But, I dont see SourceGaurdian under Software... has this moved, or do I need to install it?

    Thanks!
     
  2. richy

    richy Well-Known Member

    Joined:
    Jun 30, 2003
    Messages:
    276
    Likes Received:
    1
    Trophy Points:
    16
    Which version of Cpanel/WHM are you running?
     
  3. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    Login to your WHM:
    Server Setup >> Tweak Settings >> Software
    and then select sourceguardian
    Save and DONE!
     
  4. Ramsy

    Ramsy Guest


    run /scripts/upcp
     
  5. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    WHM 9.9.9 cPanel 9.9.9-S15
     
  6. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16

    That's what I'm saying... it's not there :confused:
     
  7. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
  8. coderoyal

    coderoyal Well-Known Member

    Joined:
    Mar 8, 2005
    Messages:
    58
    Likes Received:
    0
    Trophy Points:
    6
    Hi! I'm running 10.0.0, so I don't believe that's the latest version. But I'm new so I'm not sure if 10 is not considered stable or not, but I think it is.

    Regardless this picture below is what they refer to. I had a hard time finding it too, but that's because the text appears under the radio button.. The picture is below.. make sure this is turned on:

    [​IMG]
     
  9. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
  10. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    I just noticed there is:

    EDGE Edge is the bleeding edge tree. While it has the newest features; It has undergone the least amount of testing (if any). You generally shouldn't run this build unless you need a bug fix or feature in it. Once an equivalent CURRENT or RELEASE build has been released, you should switch away from this.
    CURRENT Current builds are more mature then the EDGE builds since they have been tested in a production environment.
    RELEASE Release builds are the prefered builds to run. They are generally current enough to have the latest bugfixes and new features, but without the worry of new bugs being introduced.
    STABLE Stable builds are for the consverative people who do not wish to run the latest release.

    I have changed it to Release, and trying to update it. Hopefully this will move me to 10.x
     
  11. webignition

    webignition Well-Known Member

    Joined:
    Jan 22, 2005
    Messages:
    1,880
    Likes Received:
    0
    Trophy Points:
    36
    Updating to the latest release version certainly should sort it out. I'm on 10.0.0-R149, however the sourceguardian option has been there for a while now (i.e. prior to R149).

    If you're not sure what version of Cpanel you should have when upgrading (given your update config settings), check the versions listed at http://layer2.cpanel.net/
     
  12. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    Ok... so I've finally got the option, i've selected and saved it.

    I've restarted apache, AND rebooted my server.

    I've tried everything at http://netenberg.com/forum/viewtopic.php?t=1937, but I still get an error when trying to use the script.

    I have all the files in /usr/local/cpanel/3rdparty/etc/ixed

    ./ ixed.fre.4.3.4.pxp* ixed.lin.4.2.ts.pxp*
    ../ ixed.fre.4.3.5.pxp* ixed.lin.4.3.0.pxp*
    ixed.fre.4.1.0.pxp* ixed.fre.4.3.6.pxp* ixed.lin.4.3.1.pxp*
    ixed.fre.4.1.1.pxp* ixed.fre.4.3.7.pxp* ixed.lin.4.3.10.pxp*
    ixed.fre.4.1.2.pxp* ixed.fre.4.3.8.pxp* ixed.lin.4.3.2.pxp*
    ixed.fre.4.2.0.pxp* ixed.fre.4.3.9.pxp* ixed.lin.4.3.3.pxp*
    ixed.fre.4.2.1.pxp* ixed.lin.4.0.6.pxp* ixed.lin.4.3.4.pxp*
    ixed.fre.4.2.2.pxp* ixed.lin.4.1.0.pxp* ixed.lin.4.3.5.pxp*
    ixed.fre.4.2.3.pxp* ixed.lin.4.1.1.pxp* ixed.lin.4.3.6.pxp*
    ixed.fre.4.3.0.pxp* ixed.lin.4.1.2.pxp* ixed.lin.4.3.7.pxp*
    ixed.fre.4.3.1.pxp* ixed.lin.4.2.0.pxp* ixed.lin.4.3.8.pxp*
    ixed.fre.4.3.10.pxp* ixed.lin.4.2.1.pxp* ixed.lin.4.3.9.pxp*
    ixed.fre.4.3.2.pxp* ixed.lin.4.2.2.pxp* ixed.lin.4.3.ts.pxp*
    ixed.fre.4.3.3.pxp* ixed.lin.4.2.3.pxp*


    Including the one it is trying to find" ixed.lin.4.3.10.pxp

    Anyone have any suggestions? Do i need to edit php.ini in any way?
     
  13. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    2nd cry for help :D This is very perplexing/annoying.
     
  14. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    Where should I go to get help for this?
     
  15. dalem

    dalem Well-Known Member
    PartnerNOC

    Joined:
    Oct 24, 2003
    Messages:
    2,577
    Likes Received:
    40
    Trophy Points:
    48
    Location:
    SLC
    cPanel Access Level:
    DataCenter Provider
    I dont think SourceGuardian is in 9.9.9-STABLE_15

    update to the latest release build 10.0.0-RELEASE_149


    if you want to remain on the Stable release

    http://netenberg.com/forum/viewtopic.php?t=1937

    dont think you did everything if you still have ixed files for prior versions of php
     
    #15 dalem, Mar 22, 2005
    Last edited: Mar 22, 2005
  16. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    I am on that version:

    WHM 10.0.0 cPanel 10.0.0-R149
     
  17. dalem

    dalem Well-Known Member
    PartnerNOC

    Joined:
    Oct 24, 2003
    Messages:
    2,577
    Likes Received:
    40
    Trophy Points:
    48
    Location:
    SLC
    cPanel Access Level:
    DataCenter Provider
    is it working
     
  18. netnameus

    netnameus Well-Known Member

    Joined:
    Mar 7, 2004
    Messages:
    131
    Likes Received:
    0
    Trophy Points:
    16
    Nope... Unfortunatly
     
  19. kosmo

    kosmo Well-Known Member

    Joined:
    Aug 12, 2001
    Messages:
    403
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    All over Europe

Share This Page